<html>
<head>
<title>OGRE: Ogre::MaterialSerializer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1MaterialSerializer.html">MaterialSerializer</a></div>
<h1>Ogre::MaterialSerializer Class Reference</h1><!-- doxytag: class="Ogre::MaterialSerializer" -->Class for serializing Materials to / from a .material script.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1MaterialSerializer-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#18fd324e22637deae4f3dbc58c261e12">MaterialSerializer</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">default constructor  <a href="#18fd324e22637deae4f3dbc58c261e12"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#d933634a0807f52b41c490536345d19b">~MaterialSerializer</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">default destructor  <a href="#d933634a0807f52b41c490536345d19b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#7e8379c4d552ee0a69fa69f9cdba9449">queueForExport</a> (const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;pMat, bool clearQueued=false, bool exportDefaults=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Queue an in-memory <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> to the internal buffer for export.  <a href="#7e8379c4d552ee0a69fa69f9cdba9449"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#ad0415f95d43e60cce716cd3cca59739">exportQueued</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, const bool includeProgDef=false, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;programFilename=&quot;&quot;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Exports queued material(s) to a named material script file.  <a href="#ad0415f95d43e60cce716cd3cca59739"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#c1cdd046dfbeb820332d66a0dfaee95c">exportMaterial</a> (const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;pMat, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, bool exportDefaults=false, const bool includeProgDef=false, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;programFilename=&quot;&quot;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Exports a single in-memory <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> to the named material script file.  <a href="#c1cdd046dfbeb820332d66a0dfaee95c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#04ec59e9a863616dfdd6bbb5b8d2da24">getQueuedAsString</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a string representing the parsed material(s).  <a href="#04ec59e9a863616dfdd6bbb5b8d2da24"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#c93759585fba1b84ad1183358b636c8b">clearQueue</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clears the internal buffer.  <a href="#c93759585fba1b84ad1183358b636c8b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#0d2d2491e2943ed359f57baac1ec1e9b">parseScript</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> script file passed as a stream.  <a href="#0d2d2491e2943ed359f57baac1ec1e9b"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="namespaceOgre.html#315137b78f2d739ab0e41e07b1fcf51d">ATTRIBUTE_PARSER</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Keyword-mapped attribute parsers.  <a href="#8a6ad62bf6283813c93999e367ed1195"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
std::multimap<br>
&lt; <a class="el" href="classOgre_1_1TextureUnitState.html#717b14961a636b3a18b8ab3dcef61626">TextureUnitState::TextureEffectType</a>,<br>
 <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html">TextureUnitState::TextureEffect</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#5208fd1e1e4ebc59ba32e190e579ba74">EffectMap</a></td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#ee94055c25012ae4f51c44dc5ffcbde1">parseScriptLine</a> (<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;line)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">internal method for parsing a material  <a href="#ee94055c25012ae4f51c44dc5ffcbde1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#650db39f635ec7bb85c17d45a0addac5">invokeParser</a> (<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;line, <a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a> &amp;parsers)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">internal method for finding &amp; invoking an attribute parser.  <a href="#650db39f635ec7bb85c17d45a0addac5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#3cf9e6d8de5f488a061b264ce51b4447">finishProgramDefinition</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for saving a program definition which has been built up.  <a href="#3cf9e6d8de5f488a061b264ce51b4447"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#3cb8d56d6f288dbc7cdfbc38c26aa11f">writeMaterial</a> (const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;pMat)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#588189bcfda6efc5ee523dc269dfb86c">writeTechnique</a> (const <a class="el" href="classOgre_1_1Technique.html">Technique</a> *pTech)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#417a0df31f2cd9fe6a71b5316cdb388d">writePass</a> (const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *pPass)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#2fc5340664886da075cba719c5e9b6d4">writeVertexProgramRef</a> (const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *pPass)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#060b2625ae76bf620329b396080edb10">writeShadowCasterVertexProgramRef</a> (const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *pPass)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#b2cb3e51965572ce025651fb28457d52">writeShadowReceiverVertexProgramRef</a> (const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *pPass)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#ffa47a211fe550ba64b9a7aee3c9196e">writeShadowReceiverFragmentProgramRef</a> (const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *pPass)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#c31dd659d8378a38e826f3a5ebcbec14">writeFragmentProgramRef</a> (const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *pPass)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#9931d0969f50ccef16f4e872fe5c39de">writeGpuProgramRef</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;attrib, const <a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a> &amp;program, const <a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> &amp;params)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#3101c93579c2258f2b62accaeb7afbab">writeGpuPrograms</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#b18a50b4a43cfa6b1a0c911b4bd70463">writeGPUProgramParameters</a> (const <a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> &amp;params, <a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *defaultParams, const int level=4, const bool useMainBuffer=true)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#286e84a60b1a4fcdb94a22153efac95c">writeNamedGpuProgramParameters</a> (const <a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> &amp;params, <a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *defaultParams, const int level=4, const bool useMainBuffer=true)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#0a607075de25e37d66b03d7fa20be100">writeLowLevelGpuProgramParameters</a> (const <a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> &amp;params, <a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *defaultParams, const int level=4, const bool useMainBuffer=true)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#d80b583e9fc063aa9e9e64192d6d3ebc">writeGpuProgramParameter</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;commandName, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;identifier, const <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">GpuProgramParameters::AutoConstantEntry</a> *autoEntry, const <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">GpuProgramParameters::AutoConstantEntry</a> *defaultAutoEntry, bool isFloat, size_t physicalIndex, size_t physicalSize, const <a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> &amp;params, <a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *defaultParams, const int level, const bool useMainBuffer)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#49f33995fc879626e9da7c0390522ad2">writeTextureUnit</a> (const <a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *pTex)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#12a5b7f6c6e4ef24639aec45a9ae4524">writeSceneBlendFactor</a> (const <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213">SceneBlendFactor</a> sbf_src, const <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213">SceneBlendFactor</a> sbf_dest)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#da1474e40b668af0d76ea50fb1f5ed3c">writeSceneBlendFactor</a> (const <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213">SceneBlendFactor</a> sbf)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#c5bb31a3f4d9ac6fad21e2aa4391124e">writeCompareFunction</a> (const <a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a">CompareFunction</a> cf)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#5ffa3c698b1f378864af0f66ba7fdbc8">writeColourValue</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;colour, bool writeAlpha=false)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#843092f19ed6ed2d4e1fb072da6f7a75">writeLayerBlendOperationEx</a> (const <a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2">LayerBlendOperationEx</a> op)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#1504a19be2c350411b93f68770bbbf90">writeLayerBlendSource</a> (const <a class="el" href="namespaceOgre.html#e2ad78de344f35307ce35157c175625e">LayerBlendSource</a> lbs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#6946e8f7c9bde0d2fea5a85f5ef9a766">writeRotationEffect</a> (const <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html">TextureUnitState::TextureEffect</a> &amp;effect, const <a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *pTex)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#c4b781f46cdaf4e4c9ec1a2e08926a75">writeTransformEffect</a> (const <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html">TextureUnitState::TextureEffect</a> &amp;effect, const <a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *pTex)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#05408724e7aa7a10b0e14dc93a19542b">writeScrollEffect</a> (const <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html">TextureUnitState::TextureEffect</a> &amp;effect, const <a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *pTex)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#1b84c3870de7abe6195edaa30fa0152d">writeEnvironmentMapEffect</a> (const <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html">TextureUnitState::TextureEffect</a> &amp;effect, const <a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *pTex)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#39f900b0d128a1bb808b4a51b5c43a3a">convertFiltering</a> (<a class="el" href="namespaceOgre.html#02306c6246268d35f45ad22278bd5d3d">FilterOptions</a> fo)</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOgre_1_1MaterialScriptContext.html">MaterialScriptContext</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#cb3ce66fb6061378fc8b8213a52e1b29">mScriptContext</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#8dcdf570027a4ebca1e9f24477196f79">mRootAttribParsers</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parsers for the root of the material script.  <a href="#8dcdf570027a4ebca1e9f24477196f79"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#6176ae9c2f30c75ec75246688cb2c119">mMaterialAttribParsers</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parsers for the material section of a script.  <a href="#6176ae9c2f30c75ec75246688cb2c119"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#ac52f8be826c32f861530c7155b439af">mTechniqueAttribParsers</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parsers for the technique section of a script.  <a href="#ac52f8be826c32f861530c7155b439af"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#76790b4bb4ec5867feebb8a8a01acb92">mPassAttribParsers</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parsers for the pass section of a script.  <a href="#76790b4bb4ec5867feebb8a8a01acb92"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#91976b3d3eef680f9b0191c1cda408ee">mTextureUnitAttribParsers</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parsers for the texture unit section of a script.  <a href="#91976b3d3eef680f9b0191c1cda408ee"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#d09f2012ba87dde9e7d370b1398cc05a">mProgramRefAttribParsers</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parsers for the program reference section of a script.  <a href="#d09f2012ba87dde9e7d370b1398cc05a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#806eb780cff4163bdfc3c445fcdc12ae">mProgramAttribParsers</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parsers for the program definition section of a script.  <a href="#806eb780cff4163bdfc3c445fcdc12ae"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#7732e09b00b9416fd06a4ff0b12448c9">mProgramDefaultParamAttribParsers</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parsers for the program definition section of a script.  <a href="#7732e09b00b9416fd06a4ff0b12448c9"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::set<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#d310d7fc81fa11cd9ed688e102187b9f">GpuProgramDefinitionContainer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
GpuProgramDefinitionContainer::iterator&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#a99b888e44270f3222342d75991bc9de">GpuProgramDefIterator</a></td></tr>

<tr><td colspan="2"><br><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#96e9de7a16458947c9d4208a8be2847b">beginSection</a> (unsigned short level, const bool useMainBuffer=true)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#df543cc3f4c912ef1035f07cc542d78b">endSection</a> (unsigned short level, const bool useMainBuffer=true)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#4e3913738dc6322b8f07a730a14d8951">writeAttribute</a> (unsigned short level, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;att, const bool useMainBuffer=true)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#d7221314131e7f6a76c864fbd3b5d0c7">writeValue</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, const bool useMainBuffer=true)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#c4add46c30786c566425b8cd9904f032">writeComment</a> (unsigned short level, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;comment, const bool useMainBuffer=true)</td></tr>

<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#6a08d7eedc3db673013079c3ab8dc5ec">mBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#fd3d781433ebcb52094a4dd1695ccd4c">mGpuProgramBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialSerializer.html#d310d7fc81fa11cd9ed688e102187b9f">GpuProgramDefinitionContainer</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#f76f01904022aff94c3b92f19f4e714b">mGpuProgramDefinitionContainer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html#b0fd51026108690c261cc4ca71589df6">mDefaults</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class for serializing Materials to / from a .material script. 
<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00099">99</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="8a6ad62bf6283813c93999e367ed1195"></a><!-- doxytag: member="Ogre::MaterialSerializer::AttribParserList" ref="8a6ad62bf6283813c93999e367ed1195" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="namespaceOgre.html#315137b78f2d739ab0e41e07b1fcf51d">ATTRIBUTE_PARSER</a>&gt; <a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">Ogre::MaterialSerializer::AttribParserList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Keyword-mapped attribute parsers. 
<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00103">103</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5208fd1e1e4ebc59ba32e190e579ba74"></a><!-- doxytag: member="Ogre::MaterialSerializer::EffectMap" ref="5208fd1e1e4ebc59ba32e190e579ba74" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::multimap&lt;<a class="el" href="classOgre_1_1TextureUnitState.html#717b14961a636b3a18b8ab3dcef61626">TextureUnitState::TextureEffectType</a>, <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html">TextureUnitState::TextureEffect</a>&gt; <a class="el" href="classOgre_1_1MaterialSerializer.html#5208fd1e1e4ebc59ba32e190e579ba74">Ogre::MaterialSerializer::EffectMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00165">165</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d310d7fc81fa11cd9ed688e102187b9f"></a><!-- doxytag: member="Ogre::MaterialSerializer::GpuProgramDefinitionContainer" ref="d310d7fc81fa11cd9ed688e102187b9f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::set&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&gt; <a class="el" href="classOgre_1_1MaterialSerializer.html#d310d7fc81fa11cd9ed688e102187b9f">Ogre::MaterialSerializer::GpuProgramDefinitionContainer</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00222">222</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a99b888e44270f3222342d75991bc9de"></a><!-- doxytag: member="Ogre::MaterialSerializer::GpuProgramDefIterator" ref="a99b888e44270f3222342d75991bc9de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef GpuProgramDefinitionContainer::iterator <a class="el" href="classOgre_1_1MaterialSerializer.html#a99b888e44270f3222342d75991bc9de">Ogre::MaterialSerializer::GpuProgramDefIterator</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00223">223</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="18fd324e22637deae4f3dbc58c261e12"></a><!-- doxytag: member="Ogre::MaterialSerializer::MaterialSerializer" ref="18fd324e22637deae4f3dbc58c261e12" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::MaterialSerializer::MaterialSerializer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
default constructor 
<p>

</div>
</div><p>
<a class="anchor" name="d933634a0807f52b41c490536345d19b"></a><!-- doxytag: member="Ogre::MaterialSerializer::~MaterialSerializer" ref="d933634a0807f52b41c490536345d19b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::MaterialSerializer::~MaterialSerializer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
default destructor 
<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00177">177</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="ee94055c25012ae4f51c44dc5ffcbde1"></a><!-- doxytag: member="Ogre::MaterialSerializer::parseScriptLine" ref="ee94055c25012ae4f51c44dc5ffcbde1" args="(String &amp;line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::MaterialSerializer::parseScriptLine           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>line</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
internal method for parsing a material 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>true if it expects the next line to be a { </dd></dl>

</div>
</div><p>
<a class="anchor" name="650db39f635ec7bb85c17d45a0addac5"></a><!-- doxytag: member="Ogre::MaterialSerializer::invokeParser" ref="650db39f635ec7bb85c17d45a0addac5" args="(String &amp;line, AttribParserList &amp;parsers)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::MaterialSerializer::invokeParser           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>parsers</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
internal method for finding &amp; invoking an attribute parser. 
<p>

</div>
</div><p>
<a class="anchor" name="3cf9e6d8de5f488a061b264ce51b4447"></a><!-- doxytag: member="Ogre::MaterialSerializer::finishProgramDefinition" ref="3cf9e6d8de5f488a061b264ce51b4447" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::finishProgramDefinition           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for saving a program definition which has been built up. 
<p>

</div>
</div><p>
<a class="anchor" name="3cb8d56d6f288dbc7cdfbc38c26aa11f"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeMaterial" ref="3cb8d56d6f288dbc7cdfbc38c26aa11f" args="(const MaterialPtr &amp;pMat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeMaterial           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pMat</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="588189bcfda6efc5ee523dc269dfb86c"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeTechnique" ref="588189bcfda6efc5ee523dc269dfb86c" args="(const Technique *pTech)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeTechnique           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td>
          <td class="paramname"> <em>pTech</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="417a0df31f2cd9fe6a71b5316cdb388d"></a><!-- doxytag: member="Ogre::MaterialSerializer::writePass" ref="417a0df31f2cd9fe6a71b5316cdb388d" args="(const Pass *pPass)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writePass           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td>
          <td class="paramname"> <em>pPass</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2fc5340664886da075cba719c5e9b6d4"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeVertexProgramRef" ref="2fc5340664886da075cba719c5e9b6d4" args="(const Pass *pPass)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeVertexProgramRef           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td>
          <td class="paramname"> <em>pPass</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="060b2625ae76bf620329b396080edb10"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeShadowCasterVertexProgramRef" ref="060b2625ae76bf620329b396080edb10" args="(const Pass *pPass)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeShadowCasterVertexProgramRef           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td>
          <td class="paramname"> <em>pPass</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b2cb3e51965572ce025651fb28457d52"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeShadowReceiverVertexProgramRef" ref="b2cb3e51965572ce025651fb28457d52" args="(const Pass *pPass)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeShadowReceiverVertexProgramRef           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td>
          <td class="paramname"> <em>pPass</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ffa47a211fe550ba64b9a7aee3c9196e"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeShadowReceiverFragmentProgramRef" ref="ffa47a211fe550ba64b9a7aee3c9196e" args="(const Pass *pPass)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeShadowReceiverFragmentProgramRef           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td>
          <td class="paramname"> <em>pPass</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c31dd659d8378a38e826f3a5ebcbec14"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeFragmentProgramRef" ref="c31dd659d8378a38e826f3a5ebcbec14" args="(const Pass *pPass)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeFragmentProgramRef           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td>
          <td class="paramname"> <em>pPass</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="9931d0969f50ccef16f4e872fe5c39de"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeGpuProgramRef" ref="9931d0969f50ccef16f4e872fe5c39de" args="(const String &amp;attrib, const GpuProgramPtr &amp;program, const GpuProgramParametersSharedPtr &amp;params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeGpuProgramRef           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>attrib</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>program</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>params</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3101c93579c2258f2b62accaeb7afbab"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeGpuPrograms" ref="3101c93579c2258f2b62accaeb7afbab" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeGpuPrograms           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b18a50b4a43cfa6b1a0c911b4bd70463"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeGPUProgramParameters" ref="b18a50b4a43cfa6b1a0c911b4bd70463" args="(const GpuProgramParametersSharedPtr &amp;params, GpuProgramParameters *defaultParams, const int level=4, const bool useMainBuffer=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeGPUProgramParameters           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *&nbsp;</td>
          <td class="paramname"> <em>defaultParams</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>level</em> = <code>4</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&nbsp;</td>
          <td class="paramname"> <em>useMainBuffer</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="286e84a60b1a4fcdb94a22153efac95c"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeNamedGpuProgramParameters" ref="286e84a60b1a4fcdb94a22153efac95c" args="(const GpuProgramParametersSharedPtr &amp;params, GpuProgramParameters *defaultParams, const int level=4, const bool useMainBuffer=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeNamedGpuProgramParameters           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *&nbsp;</td>
          <td class="paramname"> <em>defaultParams</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>level</em> = <code>4</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&nbsp;</td>
          <td class="paramname"> <em>useMainBuffer</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="0a607075de25e37d66b03d7fa20be100"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeLowLevelGpuProgramParameters" ref="0a607075de25e37d66b03d7fa20be100" args="(const GpuProgramParametersSharedPtr &amp;params, GpuProgramParameters *defaultParams, const int level=4, const bool useMainBuffer=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeLowLevelGpuProgramParameters           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *&nbsp;</td>
          <td class="paramname"> <em>defaultParams</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>level</em> = <code>4</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&nbsp;</td>
          <td class="paramname"> <em>useMainBuffer</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d80b583e9fc063aa9e9e64192d6d3ebc"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeGpuProgramParameter" ref="d80b583e9fc063aa9e9e64192d6d3ebc" args="(const String &amp;commandName, const String &amp;identifier, const GpuProgramParameters::AutoConstantEntry *autoEntry, const GpuProgramParameters::AutoConstantEntry *defaultAutoEntry, bool isFloat, size_t physicalIndex, size_t physicalSize, const GpuProgramParametersSharedPtr &amp;params, GpuProgramParameters *defaultParams, const int level, const bool useMainBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeGpuProgramParameter           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>commandName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>identifier</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">GpuProgramParameters::AutoConstantEntry</a> *&nbsp;</td>
          <td class="paramname"> <em>autoEntry</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">GpuProgramParameters::AutoConstantEntry</a> *&nbsp;</td>
          <td class="paramname"> <em>defaultAutoEntry</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isFloat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>physicalIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>physicalSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *&nbsp;</td>
          <td class="paramname"> <em>defaultParams</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&nbsp;</td>
          <td class="paramname"> <em>useMainBuffer</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="49f33995fc879626e9da7c0390522ad2"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeTextureUnit" ref="49f33995fc879626e9da7c0390522ad2" args="(const TextureUnitState *pTex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeTextureUnit           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&nbsp;</td>
          <td class="paramname"> <em>pTex</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="12a5b7f6c6e4ef24639aec45a9ae4524"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeSceneBlendFactor" ref="12a5b7f6c6e4ef24639aec45a9ae4524" args="(const SceneBlendFactor sbf_src, const SceneBlendFactor sbf_dest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeSceneBlendFactor           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213">SceneBlendFactor</a>&nbsp;</td>
          <td class="paramname"> <em>sbf_src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213">SceneBlendFactor</a>&nbsp;</td>
          <td class="paramname"> <em>sbf_dest</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="da1474e40b668af0d76ea50fb1f5ed3c"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeSceneBlendFactor" ref="da1474e40b668af0d76ea50fb1f5ed3c" args="(const SceneBlendFactor sbf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeSceneBlendFactor           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213">SceneBlendFactor</a>&nbsp;</td>
          <td class="paramname"> <em>sbf</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c5bb31a3f4d9ac6fad21e2aa4391124e"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeCompareFunction" ref="c5bb31a3f4d9ac6fad21e2aa4391124e" args="(const CompareFunction cf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeCompareFunction           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a">CompareFunction</a>&nbsp;</td>
          <td class="paramname"> <em>cf</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="5ffa3c698b1f378864af0f66ba7fdbc8"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeColourValue" ref="5ffa3c698b1f378864af0f66ba7fdbc8" args="(const ColourValue &amp;colour, bool writeAlpha=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeColourValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>colour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>writeAlpha</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="843092f19ed6ed2d4e1fb072da6f7a75"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeLayerBlendOperationEx" ref="843092f19ed6ed2d4e1fb072da6f7a75" args="(const LayerBlendOperationEx op)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeLayerBlendOperationEx           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2">LayerBlendOperationEx</a>&nbsp;</td>
          <td class="paramname"> <em>op</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1504a19be2c350411b93f68770bbbf90"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeLayerBlendSource" ref="1504a19be2c350411b93f68770bbbf90" args="(const LayerBlendSource lbs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeLayerBlendSource           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#e2ad78de344f35307ce35157c175625e">LayerBlendSource</a>&nbsp;</td>
          <td class="paramname"> <em>lbs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="6946e8f7c9bde0d2fea5a85f5ef9a766"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeRotationEffect" ref="6946e8f7c9bde0d2fea5a85f5ef9a766" args="(const TextureUnitState::TextureEffect &amp;effect, const TextureUnitState *pTex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeRotationEffect           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html">TextureUnitState::TextureEffect</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>effect</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&nbsp;</td>
          <td class="paramname"> <em>pTex</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c4b781f46cdaf4e4c9ec1a2e08926a75"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeTransformEffect" ref="c4b781f46cdaf4e4c9ec1a2e08926a75" args="(const TextureUnitState::TextureEffect &amp;effect, const TextureUnitState *pTex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeTransformEffect           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html">TextureUnitState::TextureEffect</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>effect</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&nbsp;</td>
          <td class="paramname"> <em>pTex</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="05408724e7aa7a10b0e14dc93a19542b"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeScrollEffect" ref="05408724e7aa7a10b0e14dc93a19542b" args="(const TextureUnitState::TextureEffect &amp;effect, const TextureUnitState *pTex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeScrollEffect           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html">TextureUnitState::TextureEffect</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>effect</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&nbsp;</td>
          <td class="paramname"> <em>pTex</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1b84c3870de7abe6195edaa30fa0152d"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeEnvironmentMapEffect" ref="1b84c3870de7abe6195edaa30fa0152d" args="(const TextureUnitState::TextureEffect &amp;effect, const TextureUnitState *pTex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeEnvironmentMapEffect           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html">TextureUnitState::TextureEffect</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>effect</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&nbsp;</td>
          <td class="paramname"> <em>pTex</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="39f900b0d128a1bb808b4a51b5c43a3a"></a><!-- doxytag: member="Ogre::MaterialSerializer::convertFiltering" ref="39f900b0d128a1bb808b4a51b5c43a3a" args="(FilterOptions fo)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::MaterialSerializer::convertFiltering           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#02306c6246268d35f45ad22278bd5d3d">FilterOptions</a>&nbsp;</td>
          <td class="paramname"> <em>fo</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="7e8379c4d552ee0a69fa69f9cdba9449"></a><!-- doxytag: member="Ogre::MaterialSerializer::queueForExport" ref="7e8379c4d552ee0a69fa69f9cdba9449" args="(const MaterialPtr &amp;pMat, bool clearQueued=false, bool exportDefaults=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::queueForExport           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pMat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>clearQueued</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>exportDefaults</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Queue an in-memory <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> to the internal buffer for export. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pMat</em>&nbsp;</td><td><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> pointer </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>clearQueued</em>&nbsp;</td><td>If true, any materials already queued will be removed </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>exportDefaults</em>&nbsp;</td><td>If true, attributes which are defaulted will be included in the script exported, otherwise they will be omitted </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="ad0415f95d43e60cce716cd3cca59739"></a><!-- doxytag: member="Ogre::MaterialSerializer::exportQueued" ref="ad0415f95d43e60cce716cd3cca59739" args="(const String &amp;filename, const bool includeProgDef=false, const String &amp;programFilename=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::exportQueued           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&nbsp;</td>
          <td class="paramname"> <em>includeProgDef</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>programFilename</em> = <code>&quot;&quot;</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Exports queued material(s) to a named material script file. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>filename</em>&nbsp;</td><td>the file name of the material script to be exported </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>includeProgDef</em>&nbsp;</td><td>If true, vertex program and fragment program definitions will be written at the top of the material script </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>programFilename</em>&nbsp;</td><td>the file name of the vertex / fragment program script to be exported. This is only used if there are program definitions to be exported and includeProgDef is false when calling queueForExport. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="c1cdd046dfbeb820332d66a0dfaee95c"></a><!-- doxytag: member="Ogre::MaterialSerializer::exportMaterial" ref="c1cdd046dfbeb820332d66a0dfaee95c" args="(const MaterialPtr &amp;pMat, const String &amp;filename, bool exportDefaults=false, const bool includeProgDef=false, const String &amp;programFilename=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::exportMaterial           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pMat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>exportDefaults</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&nbsp;</td>
          <td class="paramname"> <em>includeProgDef</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>programFilename</em> = <code>&quot;&quot;</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Exports a single in-memory <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> to the named material script file. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>exportDefaults</em>&nbsp;</td><td>if true then exports all values including defaults </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>includeProgDef</em>&nbsp;</td><td>if true includes Gpu shader program definitions in the export material script otherwise if false then program definitions will be exported to a seperate file with name programFilename if programFilename is not empty </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>programFilename</em>&nbsp;</td><td>the file name of the vertex / fragment program script to be exported. This is only used if includeProgDef is false. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="04ec59e9a863616dfdd6bbb5b8d2da24"></a><!-- doxytag: member="Ogre::MaterialSerializer::getQueuedAsString" ref="04ec59e9a863616dfdd6bbb5b8d2da24" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::MaterialSerializer::getQueuedAsString           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a string representing the parsed material(s). 
<p>

</div>
</div><p>
<a class="anchor" name="c93759585fba1b84ad1183358b636c8b"></a><!-- doxytag: member="Ogre::MaterialSerializer::clearQueue" ref="c93759585fba1b84ad1183358b636c8b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::clearQueue           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clears the internal buffer. 
<p>

</div>
</div><p>
<a class="anchor" name="0d2d2491e2943ed359f57baac1ec1e9b"></a><!-- doxytag: member="Ogre::MaterialSerializer::parseScript" ref="0d2d2491e2943ed359f57baac1ec1e9b" args="(DataStreamPtr &amp;stream, const String &amp;groupName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::parseScript           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>groupName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parses a <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> script file passed as a stream. 
<p>

</div>
</div><p>
<a class="anchor" name="96e9de7a16458947c9d4208a8be2847b"></a><!-- doxytag: member="Ogre::MaterialSerializer::beginSection" ref="96e9de7a16458947c9d4208a8be2847b" args="(unsigned short level, const bool useMainBuffer=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::beginSection           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&nbsp;</td>
          <td class="paramname"> <em>useMainBuffer</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00227">227</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="df543cc3f4c912ef1035f07cc542d78b"></a><!-- doxytag: member="Ogre::MaterialSerializer::endSection" ref="df543cc3f4c912ef1035f07cc542d78b" args="(unsigned short level, const bool useMainBuffer=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::endSection           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&nbsp;</td>
          <td class="paramname"> <em>useMainBuffer</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00237">237</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4e3913738dc6322b8f07a730a14d8951"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeAttribute" ref="4e3913738dc6322b8f07a730a14d8951" args="(unsigned short level, const String &amp;att, const bool useMainBuffer=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeAttribute           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>att</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&nbsp;</td>
          <td class="paramname"> <em>useMainBuffer</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00248">248</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d7221314131e7f6a76c864fbd3b5d0c7"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeValue" ref="d7221314131e7f6a76c864fbd3b5d0c7" args="(const String &amp;val, const bool useMainBuffer=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&nbsp;</td>
          <td class="paramname"> <em>useMainBuffer</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00259">259</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c4add46c30786c566425b8cd9904f032"></a><!-- doxytag: member="Ogre::MaterialSerializer::writeComment" ref="c4add46c30786c566425b8cd9904f032" args="(unsigned short level, const String &amp;comment, const bool useMainBuffer=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MaterialSerializer::writeComment           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>comment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&nbsp;</td>
          <td class="paramname"> <em>useMainBuffer</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00265">265</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="cb3ce66fb6061378fc8b8213a52e1b29"></a><!-- doxytag: member="Ogre::MaterialSerializer::mScriptContext" ref="cb3ce66fb6061378fc8b8213a52e1b29" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1MaterialScriptContext.html">MaterialScriptContext</a> <a class="el" href="classOgre_1_1MaterialSerializer.html#cb3ce66fb6061378fc8b8213a52e1b29">Ogre::MaterialSerializer::mScriptContext</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00105">105</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8dcdf570027a4ebca1e9f24477196f79"></a><!-- doxytag: member="Ogre::MaterialSerializer::mRootAttribParsers" ref="8dcdf570027a4ebca1e9f24477196f79" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a> <a class="el" href="classOgre_1_1MaterialSerializer.html#8dcdf570027a4ebca1e9f24477196f79">Ogre::MaterialSerializer::mRootAttribParsers</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parsers for the root of the material script. 
<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00118">118</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6176ae9c2f30c75ec75246688cb2c119"></a><!-- doxytag: member="Ogre::MaterialSerializer::mMaterialAttribParsers" ref="6176ae9c2f30c75ec75246688cb2c119" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a> <a class="el" href="classOgre_1_1MaterialSerializer.html#6176ae9c2f30c75ec75246688cb2c119">Ogre::MaterialSerializer::mMaterialAttribParsers</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parsers for the material section of a script. 
<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00120">120</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ac52f8be826c32f861530c7155b439af"></a><!-- doxytag: member="Ogre::MaterialSerializer::mTechniqueAttribParsers" ref="ac52f8be826c32f861530c7155b439af" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a> <a class="el" href="classOgre_1_1MaterialSerializer.html#ac52f8be826c32f861530c7155b439af">Ogre::MaterialSerializer::mTechniqueAttribParsers</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parsers for the technique section of a script. 
<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00122">122</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="76790b4bb4ec5867feebb8a8a01acb92"></a><!-- doxytag: member="Ogre::MaterialSerializer::mPassAttribParsers" ref="76790b4bb4ec5867feebb8a8a01acb92" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a> <a class="el" href="classOgre_1_1MaterialSerializer.html#76790b4bb4ec5867feebb8a8a01acb92">Ogre::MaterialSerializer::mPassAttribParsers</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parsers for the pass section of a script. 
<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00124">124</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="91976b3d3eef680f9b0191c1cda408ee"></a><!-- doxytag: member="Ogre::MaterialSerializer::mTextureUnitAttribParsers" ref="91976b3d3eef680f9b0191c1cda408ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a> <a class="el" href="classOgre_1_1MaterialSerializer.html#91976b3d3eef680f9b0191c1cda408ee">Ogre::MaterialSerializer::mTextureUnitAttribParsers</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parsers for the texture unit section of a script. 
<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00126">126</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d09f2012ba87dde9e7d370b1398cc05a"></a><!-- doxytag: member="Ogre::MaterialSerializer::mProgramRefAttribParsers" ref="d09f2012ba87dde9e7d370b1398cc05a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a> <a class="el" href="classOgre_1_1MaterialSerializer.html#d09f2012ba87dde9e7d370b1398cc05a">Ogre::MaterialSerializer::mProgramRefAttribParsers</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parsers for the program reference section of a script. 
<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00128">128</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="806eb780cff4163bdfc3c445fcdc12ae"></a><!-- doxytag: member="Ogre::MaterialSerializer::mProgramAttribParsers" ref="806eb780cff4163bdfc3c445fcdc12ae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a> <a class="el" href="classOgre_1_1MaterialSerializer.html#806eb780cff4163bdfc3c445fcdc12ae">Ogre::MaterialSerializer::mProgramAttribParsers</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parsers for the program definition section of a script. 
<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00130">130</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7732e09b00b9416fd06a4ff0b12448c9"></a><!-- doxytag: member="Ogre::MaterialSerializer::mProgramDefaultParamAttribParsers" ref="7732e09b00b9416fd06a4ff0b12448c9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialSerializer.html#8a6ad62bf6283813c93999e367ed1195">AttribParserList</a> <a class="el" href="classOgre_1_1MaterialSerializer.html#7732e09b00b9416fd06a4ff0b12448c9">Ogre::MaterialSerializer::mProgramDefaultParamAttribParsers</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parsers for the program definition section of a script. 
<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00132">132</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6a08d7eedc3db673013079c3ab8dc5ec"></a><!-- doxytag: member="Ogre::MaterialSerializer::mBuffer" ref="6a08d7eedc3db673013079c3ab8dc5ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1MaterialSerializer.html#6a08d7eedc3db673013079c3ab8dc5ec">Ogre::MaterialSerializer::mBuffer</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00220">220</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fd3d781433ebcb52094a4dd1695ccd4c"></a><!-- doxytag: member="Ogre::MaterialSerializer::mGpuProgramBuffer" ref="fd3d781433ebcb52094a4dd1695ccd4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1MaterialSerializer.html#fd3d781433ebcb52094a4dd1695ccd4c">Ogre::MaterialSerializer::mGpuProgramBuffer</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00221">221</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f76f01904022aff94c3b92f19f4e714b"></a><!-- doxytag: member="Ogre::MaterialSerializer::mGpuProgramDefinitionContainer" ref="f76f01904022aff94c3b92f19f4e714b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialSerializer.html#d310d7fc81fa11cd9ed688e102187b9f">GpuProgramDefinitionContainer</a> <a class="el" href="classOgre_1_1MaterialSerializer.html#f76f01904022aff94c3b92f19f4e714b">Ogre::MaterialSerializer::mGpuProgramDefinitionContainer</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00224">224</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b0fd51026108690c261cc4ca71589df6"></a><!-- doxytag: member="Ogre::MaterialSerializer::mDefaults" ref="b0fd51026108690c261cc4ca71589df6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1MaterialSerializer.html#b0fd51026108690c261cc4ca71589df6">Ogre::MaterialSerializer::mDefaults</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00225">225</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:29 2008
</p>
</body>
</html>
